### Function

# Gio Resolver get_default

since: 2.22

#### Declaration

    GResolver*
    g_resolver_get_default (
      void
    )

#### Description

Gets the default `GResolver`. You should unref it when you are done with it. `GResolver` may use its reference count as a hint about how many threads it should allocate for concurrent DNS resolutions.

Available since: 2.22

#### Return value

Type: `GResolver`

The default `GResolver`.

The caller of the function takes ownership of the data, and is responsible for freeing it.